<div ng-controller="UploadFile" ng-cloak ng-init="init()">
    <input type="file" value="" placeholder="Enter text" multiple="multiple" id="file_to_upload"
    class="form-control" name="">
    <!-- screen -->
    <h4 ng-hide="files.length == 0">
        Files list:
    </h4>
    <div class="list-group">
        <a href="" ng-repeat="file in files" class="list-group-item list-group-item-info">
        <p class="list-group-item-text">{{file.filename}}</p>
        </a>
    </div>
    <div class="btn-group btn-group-justified btn-group-sm">
        <div class="btn-group">
            <button ng-click="uploadAll()" class="btn btn-primary" type="button">
                Upload all
            </button>
        </div>
    </div>
</div>